> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GST Return status

> Get GST Return status after saving return. Returns any errors and info in the return saved.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/common/gst_return_status.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/{year}/{month}/status
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/{year}/{month}/status:
    get:
      tags:
        - Taxpayer
        - Returns
      summary: GST Return status
      description: Get advance tax details for a return period for authenticated taxpayer
      operationId: getGstReturnStatus
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: reference_id
          in: query
          description: '`required` Reference ID'
          required: true
          schema:
            type: string
            example: '{{reference_id}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: >-
            200 GSTR-1 save processed / 200 GSTR-1 save processed with error /
            200 GSTR-1 reset processed / 200 GSTR-3B save processed / 200 GSTR-9
            save processed / 200 GSTR-9 save processed with error / RET191350
            HSN code is not valid as per AATO / RET191353 The UQC entered is not
            valid / RET191355 The Quantity entered is not valid / RET191175
            Enter GST rate as per the rate list / RET191106 Error in JSON
            structure / RET191251 RESET is under process / 200 Reset Request
            Received
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          action:
                            type: string
                            example: SAVE
                          error_report:
                            type: object
                            properties:
                              at:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    error_cd:
                                      type: string
                                      example: RET191114
                                    error_msg:
                                      type: string
                                      example: Invalid POS
                                    itms:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          ad_amt:
                                            type: number
                                            example: 100
                                          csamt:
                                            type: number
                                            example: 500
                                          iamt:
                                            type: number
                                            example: 9400
                                          rt:
                                            type: number
                                            example: 5
                                      example:
                                        - ad_amt: 100
                                          csamt: 500
                                          iamt: 9400
                                          rt: 5
                                    pos:
                                      type: string
                                      example: '05'
                                    sply_ty:
                                      type: string
                                      example: INTER
                                example:
                                  - error_cd: RET191114
                                    error_msg: Invalid POS
                                    itms:
                                      - ad_amt: 100
                                        csamt: 500
                                        iamt: 9400
                                        rt: 5
                                    pos: '05'
                                    sply_ty: INTER
                              b2b:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    ctin:
                                      type: string
                                      example: 05CGDPP1321G1ZV
                                    error_cd:
                                      type: string
                                      example: RET191114
                                    error_msg:
                                      type: string
                                      example: >-
                                        Date is Invalid. Date of invoice cannot
                                        exceed the current tax period and be
                                        older than 18 months or older than
                                        registration date.
                                    inv:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          etin:
                                            type: string
                                            example: 01AABCE5507R1Z4
                                          idt:
                                            type: string
                                            example: 24-11-2016
                                          inum:
                                            type: string
                                            example: S008400
                                          inv_typ:
                                            type: string
                                            example: R
                                          itms:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                itm_det:
                                                  type: object
                                                  properties:
                                                    csamt:
                                                      type: number
                                                      example: 500
                                                    iamt:
                                                      type: number
                                                      example: 833.33
                                                    rt:
                                                      type: number
                                                      example: 5
                                                    txval:
                                                      type: number
                                                      example: 10000
                                                num:
                                                  type: number
                                                  example: 1
                                            example:
                                              - itm_det:
                                                  csamt: 500
                                                  iamt: 833.33
                                                  rt: 5
                                                  txval: 10000
                                                num: 1
                                          pos:
                                            type: string
                                            example: '06'
                                          rchrg:
                                            type: string
                                            example: 'N'
                                          val:
                                            type: number
                                            example: 729248.16
                                      example:
                                        - etin: 01AABCE5507R1Z4
                                          idt: 24-11-2016
                                          inum: S008400
                                          inv_typ: R
                                          itms:
                                            - itm_det:
                                                csamt: 500
                                                iamt: 833.33
                                                rt: 5
                                                txval: 10000
                                              num: 1
                                          pos: '06'
                                          rchrg: 'N'
                                          val: 729248.16
                                example:
                                  - ctin: 05CGDPP1321G1ZV
                                    error_cd: RET191114
                                    error_msg: >-
                                      Date is Invalid. Date of invoice cannot
                                      exceed the current tax period and be older
                                      than 18 months or older than registration
                                      date.
                                    inv:
                                      - etin: 01AABCE5507R1Z4
                                        idt: 24-11-2016
                                        inum: S008400
                                        inv_typ: R
                                        itms:
                                          - itm_det:
                                              csamt: 500
                                              iamt: 833.33
                                              rt: 5
                                              txval: 10000
                                            num: 1
                                        pos: '06'
                                        rchrg: 'N'
                                        val: 729248.16
                              b2cl:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    error_cd:
                                      type: string
                                      example: RET191114
                                    error_msg:
                                      type: string
                                      example: >-
                                        Date is Invalid. Date of invoice cannot
                                        exceed the current tax period and be
                                        older than 18 months or older than
                                        registration date.
                                    inv:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          etin:
                                            type: string
                                            example: 27AHQPA8875L1ZU
                                          idt:
                                            type: string
                                            example: 10-01-2016
                                          inum:
                                            type: string
                                            example: '92661'
                                          itms:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                itm_det:
                                                  type: object
                                                  properties:
                                                    csamt:
                                                      type: number
                                                      example: 500
                                                    iamt:
                                                      type: number
                                                      example: 833.33
                                                    rt:
                                                      type: number
                                                      example: 5
                                                    txval:
                                                      type: number
                                                      example: 10000
                                                num:
                                                  type: number
                                                  example: 1
                                            example:
                                              - itm_det:
                                                  csamt: 500
                                                  iamt: 833.33
                                                  rt: 5
                                                  txval: 10000
                                                num: 1
                                          val:
                                            type: number
                                            example: 784586.33
                                      example:
                                        - etin: 27AHQPA8875L1ZU
                                          idt: 10-01-2016
                                          inum: '92661'
                                          itms:
                                            - itm_det:
                                                csamt: 500
                                                iamt: 833.33
                                                rt: 5
                                                txval: 10000
                                              num: 1
                                          val: 784586.33
                                    pos:
                                      type: string
                                      example: '05'
                                example:
                                  - error_cd: RET191114
                                    error_msg: >-
                                      Date is Invalid. Date of invoice cannot
                                      exceed the current tax period and be older
                                      than 18 months or older than registration
                                      date.
                                    inv:
                                      - etin: 27AHQPA8875L1ZU
                                        idt: 10-01-2016
                                        inum: '92661'
                                        itms:
                                          - itm_det:
                                              csamt: 500
                                              iamt: 833.33
                                              rt: 5
                                              txval: 10000
                                            num: 1
                                        val: 784586.33
                                    pos: '05'
                              b2cs:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    csamt:
                                      type: number
                                      example: 10
                                    error_cd:
                                      type: string
                                      example: RET191114
                                    error_msg:
                                      type: string
                                      example: >-
                                        Date is Invalid. Date of invoice cannot
                                        exceed the current tax period and be
                                        older than 18 months or older than
                                        registration date.
                                    etin:
                                      type: string
                                      example: 20ABCDE7588L1ZJ
                                    iamt:
                                      type: number
                                      example: 10
                                    pos:
                                      type: string
                                      example: '05'
                                    rt:
                                      type: number
                                      example: 5
                                    sply_ty:
                                      type: string
                                      example: INTER
                                    txval:
                                      type: number
                                      example: 110
                                    typ:
                                      type: string
                                      example: E
                                example:
                                  - csamt: 10
                                    error_cd: RET191114
                                    error_msg: >-
                                      Date is Invalid. Date of invoice cannot
                                      exceed the current tax period and be older
                                      than 18 months or older than registration
                                      date.
                                    etin: 20ABCDE7588L1ZJ
                                    iamt: 10
                                    pos: '05'
                                    rt: 5
                                    sply_ty: INTER
                                    txval: 110
                                    typ: E
                              cdnr:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    ctin:
                                      type: string
                                      example: 01AAAAP1208Q1ZS
                                    error_cd:
                                      type: string
                                      example: RET191115
                                    error_msg:
                                      type: string
                                      example: >-
                                        Date is Invalid. Date of note cannot
                                        exceed the current tax period .
                                    nt:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          idt:
                                            type: string
                                            example: 23-09-2016
                                          inum:
                                            type: string
                                            example: '915914'
                                          itms:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                itm_det:
                                                  type: object
                                                  properties:
                                                    csamt:
                                                      type: number
                                                      example: 789.52
                                                    iamt:
                                                      type: number
                                                      example: 845.22
                                                    rt:
                                                      type: number
                                                      example: 10
                                                    txval:
                                                      type: number
                                                      example: 5225.28
                                                num:
                                                  type: number
                                                  example: 1
                                            example:
                                              - itm_det:
                                                  csamt: 789.52
                                                  iamt: 845.22
                                                  rt: 10
                                                  txval: 5225.28
                                                num: 1
                                          nt_dt:
                                            type: string
                                            example: 23-09-2016
                                          nt_num:
                                            type: string
                                            example: '533515'
                                          ntty:
                                            type: string
                                            example: C
                                          p_gst:
                                            type: string
                                            example: 'N'
                                          rsn:
                                            type: string
                                            example: Post Sale Discount
                                          val:
                                            type: number
                                            example: 123123
                                      example:
                                        - idt: 23-09-2016
                                          inum: '915914'
                                          itms:
                                            - itm_det:
                                                csamt: 789.52
                                                iamt: 845.22
                                                rt: 10
                                                txval: 5225.28
                                              num: 1
                                          nt_dt: 23-09-2016
                                          nt_num: '533515'
                                          ntty: C
                                          p_gst: 'N'
                                          rsn: Post Sale Discount
                                          val: 123123
                                example:
                                  - ctin: 01AAAAP1208Q1ZS
                                    error_cd: RET191115
                                    error_msg: >-
                                      Date is Invalid. Date of note cannot
                                      exceed the current tax period .
                                    nt:
                                      - idt: 23-09-2016
                                        inum: '915914'
                                        itms:
                                          - itm_det:
                                              csamt: 789.52
                                              iamt: 845.22
                                              rt: 10
                                              txval: 5225.28
                                            num: 1
                                        nt_dt: 23-09-2016
                                        nt_num: '533515'
                                        ntty: C
                                        p_gst: 'N'
                                        rsn: Post Sale Discount
                                        val: 123123
                              cdnur:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    error_cd:
                                      type: string
                                      example: RET191115
                                    error_msg:
                                      type: string
                                      example: >-
                                        Date is Invalid. Date of note cannot
                                        exceed the current tax period .
                                    idt:
                                      type: string
                                      example: 23-09-2016
                                    inum:
                                      type: string
                                      example: '915914'
                                    itms:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          itm_det:
                                            type: object
                                            properties:
                                              csamt:
                                                type: number
                                                example: 789.52
                                              iamt:
                                                type: number
                                                example: 845.22
                                              rt:
                                                type: number
                                                example: 10
                                              txval:
                                                type: number
                                                example: 5225.28
                                          num:
                                            type: number
                                            example: 1
                                      example:
                                        - itm_det:
                                            csamt: 789.52
                                            iamt: 845.22
                                            rt: 10
                                            txval: 5225.28
                                          num: 1
                                    nt_dt:
                                      type: string
                                      example: 23-09-2016
                                    nt_num:
                                      type: string
                                      example: '533515'
                                    ntty:
                                      type: string
                                      example: C
                                    p_gst:
                                      type: string
                                      example: 'N'
                                    rsn:
                                      type: string
                                      example: Post Sale Discount
                                    typ:
                                      type: string
                                      example: B2CL
                                    val:
                                      type: number
                                      example: 64646
                                example:
                                  - error_cd: RET191115
                                    error_msg: >-
                                      Date is Invalid. Date of note cannot
                                      exceed the current tax period .
                                    idt: 23-09-2016
                                    inum: '915914'
                                    itms:
                                      - itm_det:
                                          csamt: 789.52
                                          iamt: 845.22
                                          rt: 10
                                          txval: 5225.28
                                        num: 1
                                    nt_dt: 23-09-2016
                                    nt_num: '533515'
                                    ntty: C
                                    p_gst: 'N'
                                    rsn: Post Sale Discount
                                    typ: B2CL
                                    val: 64646
                              doc_issue:
                                type: object
                                properties:
                                  doc_det:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        doc_num:
                                          type: number
                                          example: 1
                                        docs:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              cancel:
                                                type: number
                                                example: 3
                                              from:
                                                type: string
                                                example: '20'
                                              net_issue:
                                                type: number
                                                example: 17
                                              num:
                                                type: number
                                                example: 1
                                              to:
                                                type: string
                                                example: '29'
                                              totnum:
                                                type: number
                                                example: 20
                                          example:
                                            - cancel: 3
                                              from: '20'
                                              net_issue: 17
                                              num: 1
                                              to: '29'
                                              totnum: 20
                                    example:
                                      - doc_num: 1
                                        docs:
                                          - cancel: 3
                                            from: '20'
                                            net_issue: 17
                                            num: 1
                                            to: '29'
                                            totnum: 20
                                  error_cd:
                                    type: string
                                    example: ERRORCODE
                                  error_msg:
                                    type: string
                                    example: ERRORMESSAGE
                              error_cd:
                                type: string
                                example: RET191106
                              error_msg:
                                type: string
                                example: Error in Json structure validation.
                              exp:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    error_cd:
                                      type: string
                                      example: RET191114
                                    error_msg:
                                      type: string
                                      example: >-
                                        Date is Invalid. Date of invoice cannot
                                        exceed the current tax period and be
                                        older than 18 months or older than
                                        registration date.
                                    exp_typ:
                                      type: string
                                      example: WPAY
                                    inv:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          idt:
                                            type: string
                                            example: 12-02-2016
                                          inum:
                                            type: string
                                            example: '81542'
                                          itms:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                iamt:
                                                  type: number
                                                  example: 833.33
                                                rt:
                                                  type: number
                                                  example: 5
                                                txval:
                                                  type: number
                                                  example: 10000
                                            example:
                                              - iamt: 833.33
                                                rt: 5
                                                txval: 10000
                                          sbdt:
                                            type: string
                                            example: 04-10-2016
                                          sbnum:
                                            type: number
                                            example: 7896542
                                          sbpcode:
                                            type: string
                                            example: ASB991
                                          val:
                                            type: number
                                            example: 995048.36
                                      example:
                                        - idt: 12-02-2016
                                          inum: '81542'
                                          itms:
                                            - iamt: 833.33
                                              rt: 5
                                              txval: 10000
                                          sbdt: 04-10-2016
                                          sbnum: 7896542
                                          sbpcode: ASB991
                                          val: 995048.36
                                example:
                                  - error_cd: RET191114
                                    error_msg: >-
                                      Date is Invalid. Date of invoice cannot
                                      exceed the current tax period and be older
                                      than 18 months or older than registration
                                      date.
                                    exp_typ: WPAY
                                    inv:
                                      - idt: 12-02-2016
                                        inum: '81542'
                                        itms:
                                          - iamt: 833.33
                                            rt: 5
                                            txval: 10000
                                        sbdt: 04-10-2016
                                        sbnum: 7896542
                                        sbpcode: ASB991
                                        val: 995048.36
                              hsn:
                                anyOf:
                                  - type: object
                                    properties:
                                      data:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            csamt:
                                              type: number
                                              example: 500
                                            desc:
                                              type: string
                                              example: Goods Description
                                            hsn_sc:
                                              type: string
                                              example: '1009'
                                            iamt:
                                              type: number
                                              example: 14.52
                                            num:
                                              type: number
                                              example: 1
                                            qty:
                                              type: number
                                              example: 2.05
                                            txval:
                                              type: number
                                              example: 10.23
                                            uqc:
                                              type: string
                                              example: kg
                                            val:
                                              type: number
                                              example: 995048.36
                                        example:
                                          - csamt: 500
                                            desc: Goods Description
                                            hsn_sc: '1009'
                                            iamt: 14.52
                                            num: 1
                                            qty: 2.05
                                            txval: 10.23
                                            uqc: kg
                                            val: 995048.36
                                      error_cd:
                                        type: string
                                        example: RET191114
                                      error_msg:
                                        type: string
                                        example: >-
                                          Date is Invalid. Date of invoice cannot
                                          exceed the current tax period and be
                                          older than 18 months or older than
                                          registration date.
                                  - type: array
                                    items:
                                      type: object
                                      properties:
                                        chksum:
                                          type: string
                                          example: >-
                                            df61c0865eb0d71db87b3660f876cd25211d39aa245fa51b1cf105188a20da1d
                                        data:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 0
                                              csamt:
                                                type: number
                                                example: 0
                                              desc:
                                                type: string
                                                example: Fees
                                              hsn_sc:
                                                type: string
                                                example: '9983'
                                              iamt:
                                                type: number
                                                example: 0.36
                                              num:
                                                type: number
                                                example: 1
                                              qty:
                                                type: number
                                                example: 0
                                              rt:
                                                type: number
                                                example: 18
                                              samt:
                                                type: number
                                                example: 0
                                              txval:
                                                type: number
                                                example: 2
                                              uqc:
                                                type: string
                                                example: NA
                                          example:
                                            - camt: 0
                                              csamt: 0
                                              desc: Fees
                                              hsn_sc: '9983'
                                              iamt: 0.36
                                              num: 1
                                              qty: 0
                                              rt: 18
                                              samt: 0
                                              txval: 2
                                              uqc: NA
                                        error_cd:
                                          type: string
                                          example: RET191350
                                        error_msg:
                                          type: string
                                          example: >-
                                            Length of entered HSN code is not valid
                                            as per AATO
                                    example:
                                      - chksum: >-
                                          df61c0865eb0d71db87b3660f876cd25211d39aa245fa51b1cf105188a20da1d
                                        data:
                                          - camt: 0
                                            csamt: 0
                                            desc: Fees
                                            hsn_sc: '9983'
                                            iamt: 0.36
                                            num: 1
                                            qty: 0
                                            rt: 18
                                            samt: 0
                                            txval: 2
                                            uqc: NA
                                        error_cd: RET191350
                                        error_msg: >-
                                          Length of entered HSN code is not valid
                                          as per AATO
                                  - type: array
                                    items:
                                      type: object
                                      properties:
                                        chksum:
                                          type: string
                                          example: >-
                                            1a0926afb7f7392e4bb5484a453030a1f4b6098240aa4f55fc27369140ecbe0c
                                        data:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 0
                                              csamt:
                                                type: number
                                                example: 0
                                              desc:
                                                type: string
                                                example: Fees
                                              hsn_sc:
                                                type: string
                                                example: '998399'
                                              iamt:
                                                type: number
                                                example: 0.36
                                              num:
                                                type: number
                                                example: 1
                                              qty:
                                                type: number
                                                example: 0
                                              rt:
                                                type: number
                                                example: 18
                                              samt:
                                                type: number
                                                example: 0
                                              txval:
                                                type: number
                                                example: 2
                                              uqc:
                                                type: string
                                                example: PCS
                                          example:
                                            - camt: 0
                                              csamt: 0
                                              desc: Fees
                                              hsn_sc: '998399'
                                              iamt: 0.36
                                              num: 1
                                              qty: 0
                                              rt: 18
                                              samt: 0
                                              txval: 2
                                              uqc: PCS
                                        error_cd:
                                          type: string
                                          example: RET191353
                                        error_msg:
                                          type: string
                                          example: The UQC entered is not valid
                                    example:
                                      - chksum: >-
                                          1a0926afb7f7392e4bb5484a453030a1f4b6098240aa4f55fc27369140ecbe0c
                                        data:
                                          - camt: 0
                                            csamt: 0
                                            desc: Fees
                                            hsn_sc: '998399'
                                            iamt: 0.36
                                            num: 1
                                            qty: 0
                                            rt: 18
                                            samt: 0
                                            txval: 2
                                            uqc: PCS
                                        error_cd: RET191353
                                        error_msg: The UQC entered is not valid
                                  - type: array
                                    items:
                                      type: object
                                      properties:
                                        chksum:
                                          type: string
                                          example: >-
                                            945a8ab479b44ba81eb7972ab01c4da58ab82063ec537233c4b7267d57211ea3
                                        data:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              camt:
                                                type: number
                                                example: 0
                                              csamt:
                                                type: number
                                                example: 0
                                              desc:
                                                type: string
                                                example: Fees
                                              hsn_sc:
                                                type: string
                                                example: '998399'
                                              iamt:
                                                type: number
                                                example: 0.36
                                              num:
                                                type: number
                                                example: 1
                                              qty:
                                                type: number
                                                example: 1
                                              rt:
                                                type: number
                                                example: 18
                                              samt:
                                                type: number
                                                example: 0
                                              txval:
                                                type: number
                                                example: 2
                                              uqc:
                                                type: string
                                                example: NA
                                          example:
                                            - camt: 0
                                              csamt: 0
                                              desc: Fees
                                              hsn_sc: '998399'
                                              iamt: 0.36
                                              num: 1
                                              qty: 1
                                              rt: 18
                                              samt: 0
                                              txval: 2
                                              uqc: NA
                                        error_cd:
                                          type: string
                                          example: RET191355
                                        error_msg:
                                          type: string
                                          example: The Quantity entered is not valid.
                                    example:
                                      - chksum: >-
                                          945a8ab479b44ba81eb7972ab01c4da58ab82063ec537233c4b7267d57211ea3
                                        data:
                                          - camt: 0
                                            csamt: 0
                                            desc: Fees
                                            hsn_sc: '998399'
                                            iamt: 0.36
                                            num: 1
                                            qty: 1
                                            rt: 18
                                            samt: 0
                                            txval: 2
                                            uqc: NA
                                        error_cd: RET191355
                                        error_msg: The Quantity entered is not valid.
                              nil:
                                type: object
                                properties:
                                  error_cd:
                                    type: string
                                    example: RET191114
                                  error_msg:
                                    type: string
                                    example: >-
                                      Date is Invalid. Date of invoice cannot
                                      exceed the current tax period and be older
                                      than 18 months or older than registration
                                      date.
                                  inv:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        expt_amt:
                                          type: number
                                          example: 123.45
                                        ngsup_amt:
                                          type: number
                                          example: 1258.5
                                        nil_amt:
                                          type: number
                                          example: 1470.85
                                        sply_ty:
                                          type: string
                                          example: INTRB2B
                                    example:
                                      - expt_amt: 123.45
                                        ngsup_amt: 1258.5
                                        nil_amt: 1470.85
                                        sply_ty: INTRB2B
                                      - expt_amt: 123.45
                                        ngsup_amt: 1258.5
                                        nil_amt: 1470.85
                                        sply_ty: INTRB2C
                              table17:
                                type: object
                                properties:
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        camt:
                                          type: number
                                          example: 48287.66
                                        csamt:
                                          type: number
                                          example: 0
                                        error_cd:
                                          type: string
                                          example: RET91708
                                        error_msg:
                                          type: string
                                          example: >-
                                            The reported tax amount differs with the
                                            computed value by more than Rs. 10/-.
                                            Please report the correct tax amount
                                            within the acceptable range to proceed
                                            with the record
                                        hsn_sc:
                                          type: string
                                          example: '997331'
                                        iamt:
                                          type: number
                                          example: 0
                                        isconcesstional:
                                          type: string
                                          example: 'N'
                                        rt:
                                          type: number
                                          example: 18
                                        samt:
                                          type: number
                                          example: 48287.66
                                        txval:
                                          type: number
                                          example: 536762
                                    example:
                                      - camt: 48287.66
                                        csamt: 0
                                        error_cd: RET91708
                                        error_msg: >-
                                          The reported tax amount differs with the
                                          computed value by more than Rs. 10/-.
                                          Please report the correct tax amount
                                          within the acceptable range to proceed
                                          with the record
                                        hsn_sc: '997331'
                                        iamt: 0
                                        isconcesstional: 'N'
                                        rt: 18
                                        samt: 48287.66
                                        txval: 536762
                                      - camt: 207620.5
                                        csamt: 0
                                        error_cd: RET91708
                                        error_msg: >-
                                          The reported tax amount differs with the
                                          computed value by more than Rs. 10/-.
                                          Please report the correct tax amount
                                          within the acceptable range to proceed
                                          with the record
                                        hsn_sc: '998232'
                                        iamt: 5676040.91
                                        isconcesstional: 'N'
                                        rt: 18
                                        samt: 207620.5
                                        txval: 33840209.41
                              txpd:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    error_cd:
                                      type: string
                                      example: RET191114
                                    error_msg:
                                      type: string
                                      example: Invalid POS
                                    itms:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          ad_amt:
                                            type: number
                                            example: 100
                                          csamt:
                                            type: number
                                            example: 500
                                          iamt:
                                            type: number
                                            example: 9400
                                          rt:
                                            type: number
                                            example: 5
                                      example:
                                        - ad_amt: 100
                                          csamt: 500
                                          iamt: 9400
                                          rt: 5
                                    pos:
                                      type: string
                                      example: '05'
                                    sply_ty:
                                      type: string
                                      example: INTER
                                example:
                                  - error_cd: RET191114
                                    error_msg: Invalid POS
                                    itms:
                                      - ad_amt: 100
                                        csamt: 500
                                        iamt: 9400
                                        rt: 5
                                    pos: '05'
                                    sply_ty: INTER
                          form_typ:
                            type: string
                            example: R1
                          status_cd:
                            type: string
                            example: P
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: dc8e3fd8-6e7e-49aa-9c79-16b473f05e34
              examples:
                200 GSTR-1 reset processed:
                  summary: 200 GSTR-1 reset processed
                  value:
                    code: 200
                    data:
                      data:
                        action: RESET
                        form_typ: R1
                        status_cd: P
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: c34bd5f1-d986-46fd-be85-457587ffda0e
                200 GSTR-1 save processed:
                  summary: 200 GSTR-1 save processed
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        form_typ: R1
                        status_cd: P
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: dc8e3fd8-6e7e-49aa-9c79-16b473f05e34
                200 GSTR-1 save processed with error:
                  summary: 200 GSTR-1 save processed with error
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          at:
                            - error_cd: RET191114
                              error_msg: Invalid POS
                              itms:
                                - ad_amt: 100
                                  csamt: 500
                                  iamt: 9400
                                  rt: 5
                              pos: '05'
                              sply_ty: INTER
                          b2b:
                            - ctin: 05CGDPP1321G1ZV
                              error_cd: RET191114
                              error_msg: >-
                                Date is Invalid. Date of invoice cannot exceed
                                the current tax period and be older than 18
                                months or older than registration date.
                              inv:
                                - etin: 01AABCE5507R1Z4
                                  idt: 24-11-2016
                                  inum: S008400
                                  inv_typ: R
                                  itms:
                                    - itm_det:
                                        csamt: 500
                                        iamt: 833.33
                                        rt: 5
                                        txval: 10000
                                      num: 1
                                  pos: '06'
                                  rchrg: 'N'
                                  val: 729248.16
                          b2cl:
                            - error_cd: RET191114
                              error_msg: >-
                                Date is Invalid. Date of invoice cannot exceed
                                the current tax period and be older than 18
                                months or older than registration date.
                              inv:
                                - etin: 27AHQPA8875L1ZU
                                  idt: 10-01-2016
                                  inum: '92661'
                                  itms:
                                    - itm_det:
                                        csamt: 500
                                        iamt: 833.33
                                        rt: 5
                                        txval: 10000
                                      num: 1
                                  val: 784586.33
                              pos: '05'
                          b2cs:
                            - csamt: 10
                              error_cd: RET191114
                              error_msg: >-
                                Date is Invalid. Date of invoice cannot exceed
                                the current tax period and be older than 18
                                months or older than registration date.
                              etin: 20ABCDE7588L1ZJ
                              iamt: 10
                              pos: '05'
                              rt: 5
                              sply_ty: INTER
                              txval: 110
                              typ: E
                          cdnr:
                            - ctin: 01AAAAP1208Q1ZS
                              error_cd: RET191115
                              error_msg: >-
                                Date is Invalid. Date of note cannot exceed the
                                current tax period .
                              nt:
                                - idt: 23-09-2016
                                  inum: '915914'
                                  itms:
                                    - itm_det:
                                        csamt: 789.52
                                        iamt: 845.22
                                        rt: 10
                                        txval: 5225.28
                                      num: 1
                                  nt_dt: 23-09-2016
                                  nt_num: '533515'
                                  ntty: C
                                  p_gst: 'N'
                                  rsn: Post Sale Discount
                                  val: 123123
                          cdnur:
                            - error_cd: RET191115
                              error_msg: >-
                                Date is Invalid. Date of note cannot exceed the
                                current tax period .
                              idt: 23-09-2016
                              inum: '915914'
                              itms:
                                - itm_det:
                                    csamt: 789.52
                                    iamt: 845.22
                                    rt: 10
                                    txval: 5225.28
                                  num: 1
                              nt_dt: 23-09-2016
                              nt_num: '533515'
                              ntty: C
                              p_gst: 'N'
                              rsn: Post Sale Discount
                              typ: B2CL
                              val: 64646
                          doc_issue:
                            doc_det:
                              - doc_num: 1
                                docs:
                                  - cancel: 3
                                    from: '20'
                                    net_issue: 17
                                    num: 1
                                    to: '29'
                                    totnum: 20
                            error_cd: ERRORCODE
                            error_msg: ERRORMESSAGE
                          exp:
                            - error_cd: RET191114
                              error_msg: >-
                                Date is Invalid. Date of invoice cannot exceed
                                the current tax period and be older than 18
                                months or older than registration date.
                              exp_typ: WPAY
                              inv:
                                - idt: 12-02-2016
                                  inum: '81542'
                                  itms:
                                    - iamt: 833.33
                                      rt: 5
                                      txval: 10000
                                  sbdt: 04-10-2016
                                  sbnum: 7896542
                                  sbpcode: ASB991
                                  val: 995048.36
                          hsn:
                            data:
                              - csamt: 500
                                desc: Goods Description
                                hsn_sc: '1009'
                                iamt: 14.52
                                num: 1
                                qty: 2.05
                                txval: 10.23
                                uqc: kg
                                val: 995048.36
                            error_cd: RET191114
                            error_msg: >-
                              Date is Invalid. Date of invoice cannot exceed the
                              current tax period and be older than 18 months or
                              older than registration date.
                          nil:
                            error_cd: RET191114
                            error_msg: >-
                              Date is Invalid. Date of invoice cannot exceed the
                              current tax period and be older than 18 months or
                              older than registration date.
                            inv:
                              - expt_amt: 123.45
                                ngsup_amt: 1258.5
                                nil_amt: 1470.85
                                sply_ty: INTRB2B
                              - expt_amt: 123.45
                                ngsup_amt: 1258.5
                                nil_amt: 1470.85
                                sply_ty: INTRB2C
                          txpd:
                            - error_cd: RET191114
                              error_msg: Invalid POS
                              itms:
                                - ad_amt: 100
                                  csamt: 500
                                  iamt: 9400
                                  rt: 5
                              pos: '05'
                              sply_ty: INTER
                        form_typ: R1
                        status_cd: PE
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 77dbb7b7-f586-4883-94cd-1de088a7f660
                200 GSTR-3B save processed:
                  summary: 200 GSTR-3B save processed
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        form_typ: R3B
                        status_cd: P
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 127f9782-c3db-4b6d-be73-753dbcfe9c84
                200 GSTR-9 save processed:
                  summary: 200 GSTR-9 save processed
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        form_typ: R9
                        status_cd: P
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: f7cea944-c467-425f-abaa-97ea142fa0b2
                200 GSTR-9 save processed with error:
                  summary: 200 GSTR-9 save processed with error
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          table17:
                            items:
                              - camt: 48287.66
                                csamt: 0
                                error_cd: RET91708
                                error_msg: >-
                                  The reported tax amount differs with the
                                  computed value by more than Rs. 10/-. Please
                                  report the correct tax amount within the
                                  acceptable range to proceed with the record
                                hsn_sc: '997331'
                                iamt: 0
                                isconcesstional: 'N'
                                rt: 18
                                samt: 48287.66
                                txval: 536762
                              - camt: 207620.5
                                csamt: 0
                                error_cd: RET91708
                                error_msg: >-
                                  The reported tax amount differs with the
                                  computed value by more than Rs. 10/-. Please
                                  report the correct tax amount within the
                                  acceptable range to proceed with the record
                                hsn_sc: '998232'
                                iamt: 5676040.91
                                isconcesstional: 'N'
                                rt: 18
                                samt: 207620.5
                                txval: 33840209.41
                        form_typ: R9
                        status_cd: PE
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: e6cc99e6-e5d2-4b7b-853c-7c647c0222df
                200 Reset Request Received:
                  summary: 200 Reset Request Received
                  value:
                    code: 200
                    data:
                      data:
                        action: RESET
                        form_typ: R1
                        status_cd: REC
                      status_cd: '1'
                    timestamp: 1739192256000
                    transaction_id: bdb2cf8c-3c83-43ab-b3c4-68f726603b7e
                RET191106 Error in JSON structure:
                  summary: RET191106 Error in JSON structure
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          error_cd: RET191106
                          error_msg: Error in Json structure validation.
                        form_typ: R1
                        status_cd: ER
                      status_cd: '1'
                    timestamp: 1739183552000
                    transaction_id: 43bf3220-b11f-4380-854b-91030fe8be53
                RET191175 Enter GST rate as per the rate list:
                  summary: RET191175 Enter GST rate as per the rate list
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          b2b:
                            - ctin: 23ACYFS6212N1ZH
                              error_cd: RET191175
                              error_msg: Do enter the correct rate as per the rate list.
                              inv:
                                - idt: 29-01-2025
                                  inum: INV12345
                                  inv_typ: R
                                  isEdit: false
                                  itms:
                                    - itm_det:
                                        iamt: 18
                                        rt: 0.18
                                        txval: 100
                                      num: 1
                                  pos: '23'
                                  rchrg: 'N'
                                  val: 118
                        form_typ: R1
                        status_cd: PE
                      status_cd: '1'
                    timestamp: 1738757834000
                    transaction_id: 4fa30636-9f23-4dd5-893c-fbfb236a6848
                RET191251 RESET is under process:
                  summary: RET191251 RESET is under process
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          error_cd: RET191251
                          error_msg: RESET is under process. Please try again later
                        form_typ: R1
                        status_cd: ER
                      status_cd: '1'
                    timestamp: 1739183803000
                    transaction_id: 6e736307-a6f1-45f4-9353-e6d25a17f9d9
                RET191350 HSN code is not valid as per AATO:
                  summary: RET191350 HSN code is not valid as per AATO
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          hsn:
                            - chksum: >-
                                df61c0865eb0d71db87b3660f876cd25211d39aa245fa51b1cf105188a20da1d
                              data:
                                - camt: 0
                                  csamt: 0
                                  desc: Fees
                                  hsn_sc: '9983'
                                  iamt: 0.36
                                  num: 1
                                  qty: 0
                                  rt: 18
                                  samt: 0
                                  txval: 2
                                  uqc: NA
                              error_cd: RET191350
                              error_msg: >-
                                Length of entered HSN code is not valid as per
                                AATO
                        form_typ: R1
                        status_cd: PE
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 187c5dde-76cd-4ebf-9414-77fe66a47cf7
                RET191353 The UQC entered is not valid:
                  summary: RET191353 The UQC entered is not valid
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          hsn:
                            - chksum: >-
                                1a0926afb7f7392e4bb5484a453030a1f4b6098240aa4f55fc27369140ecbe0c
                              data:
                                - camt: 0
                                  csamt: 0
                                  desc: Fees
                                  hsn_sc: '998399'
                                  iamt: 0.36
                                  num: 1
                                  qty: 0
                                  rt: 18
                                  samt: 0
                                  txval: 2
                                  uqc: PCS
                              error_cd: RET191353
                              error_msg: The UQC entered is not valid
                        form_typ: R1
                        status_cd: PE
                      status_cd: '1'
                    timestamp: 1738754890000
                    transaction_id: b725c670-72ca-4a69-a92b-3389d5285a36
                RET191355 The Quantity entered is not valid:
                  summary: RET191355 The Quantity entered is not valid
                  value:
                    code: 200
                    data:
                      data:
                        action: SAVE
                        error_report:
                          hsn:
                            - chksum: >-
                                945a8ab479b44ba81eb7972ab01c4da58ab82063ec537233c4b7267d57211ea3
                              data:
                                - camt: 0
                                  csamt: 0
                                  desc: Fees
                                  hsn_sc: '998399'
                                  iamt: 0.36
                                  num: 1
                                  qty: 1
                                  rt: 18
                                  samt: 0
                                  txval: 2
                                  uqc: NA
                              error_cd: RET191355
                              error_msg: The Quantity entered is not valid.
                        form_typ: R1
                        status_cd: PE
                      status_cd: '1'
                    timestamp: 1738755264000
                    transaction_id: e4f97a39-5860-418c-b041-4900e5d14f4c
          headers: {}
      deprecated: false
      security: []

````